package com.ruoyi.project.training.elearn.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.elearn.mapper.TElResourceMapper;
import com.ruoyi.project.training.elearn.domain.TElResource;
import com.ruoyi.project.training.elearn.service.ITElResourceService;

/**
 * 学习资料管理Service业务层处理
 *
 * @author ssy
 * @date 2024-06-05
 */
@Service
public class TElResourceServiceImpl implements ITElResourceService
{
    @Autowired
    private TElResourceMapper tElResourceMapper;

    /**
     * 查询学习资料管理
     *
     * @param id 学习资料管理ID
     * @return 学习资料管理
     */
    @Override
    public TElResource selectTElResourceById(Long id)
    {
        return tElResourceMapper.selectTElResourceById(id);
    }

    /**
     * 查询学习资料管理列表
     *
     * @param tElResource 学习资料管理
     * @return 学习资料管理
     */
    @Override
    public List<TElResource> selectTElResourceList(TElResource tElResource)
    {
        return tElResourceMapper.selectTElResourceList(tElResource);
    }

    /**
     * 查询课件列表
     */
    public List<TElResource> selectFileList(TElResource tElResource)
    {
        return tElResourceMapper.selectFileList(tElResource);
    }

    /**
     * 新增学习资料管理
     *
     * @param tElResource 学习资料管理
     * @return 结果
     */
    @Override
    public int insertTElResource(TElResource tElResource)
    {
        tElResource.setCreateTime(DateUtils.getNowDate());
        return tElResourceMapper.insertTElResource(tElResource);
    }

    /**
     * 修改学习资料管理
     *
     * @param tElResource 学习资料管理
     * @return 结果
     */
    @Override
    public int updateTElResource(TElResource tElResource)
    {
        tElResource.setUpdateTime(DateUtils.getNowDate());
        return tElResourceMapper.updateTElResource(tElResource);
    }

    /**
     * 批量删除学习资料管理
     *
     * @param ids 需要删除的学习资料管理ID
     * @return 结果
     */
    @Override
    public int deleteTElResourceByIds(Long[] ids)
    {
        return tElResourceMapper.deleteTElResourceByIds(ids);
    }

    /**
     * 删除学习资料管理信息
     *
     * @param id 学习资料管理ID
     * @return 结果
     */
    @Override
    public int deleteTElResourceById(Long id)
    {
        return tElResourceMapper.deleteTElResourceById(id);
    }
}
